<div class="layout-block">
  <div class="search-form eight-column">
    <form
      class="clearfix"
      id="form-filter"
      [formGroup]="searchForm"
      (ngSubmit)="search()"
    >
      <div class="form-group">
        <label>Item</label>
        <input
          type="text"
          class="form-control"
          formControlName="search_itm"
          tabindex="1"
        />
      </div>
      <div class="btn-toolbar pull-left margin-top23">
        <button
          type="button"
          class="btn btn-outline gray"
          (click)="reset()"
          tabindex="4"
        >
          <i class="icon-close"></i>Reset
        </button>
        <button type="submit" class="btn btn-outline blue" tabindex="3">
          <i class="icon-magnifier"></i>Search
        </button>
      </div>
    </form>
  </div>
</div>

<div class="clearfix"></div>
<div class="area-block clearfix">
  <div class="filter clearfix table-list-head">
    <div class="col-md-6 form-inline pull-left">
      <label>Show:</label>
      <select
        [(ngModel)]="perPage"
        (change)="onPageSizeChanged($event)"
        class="form-control"
        tabindex="20"
      >
        <option value="20" selected>20</option>
        <option value="30">30</option>
        <option value="40">40</option>
        <option value="50">50</option>
      </select>
    </div>
    <div class="col-md-6">
      <div class="col-md-2 pull-right">
        <a class=" btn btn-primary " (click)="openPopUpCreate()" tabindex="9"
          ><i class="icon-plus"></i>ADD</a
        >
        <button class="btn btn-primary btn-file" (click)="exportIventory()">
          Export
        </button>
      </div>

      <div class="col-md-6 form-group pull-left">
        <label for="file">Browser File</label>
        <!-- <input
          type="file"
          id="file"
          (change)="handleFileInput($event.target.files)"
        /> -->
        <div class="form-group">
          <div class="input-group input-file" name="Fichier1">
            <input
              type="text"
              class="form-control"
              placeholder="Choose a file..."
              [value]="fileName"
              disabled
            />
            <span class="input-group-btn group-btn-file">
              <span class="btn btn-primary btn-file">
                Browse
                <input
                  type="file"
                  accept=".xls,.xlsx"
                  (change)="handleFileInput($event.target.files)"
                />
              </span>
              <button
                class="btn btn-primary btn-file"
                [disabled]="fileName === ''"
                (click)="import()"
              >
                Upload
              </button>
            </span>
            <a
              class="btn btn-primary btn-file"
              href="assets/templates/inventories.xlsx"
            >
              Download File
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="table-style2 clearfix table-responsive">
    <table class="table table-expand">
      <thead>
        <tr>
          <th>Sort</th>
          <th>Item Code</th>
          <th>Item Name</th>
          <th>UOM</th>
          <th>QTY</th>
          <th>Unit Price</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let inventory of listInventory; let i = index">
          <td>{{ inventory.sort }}</td>
          <td>{{ inventory.itm_code }}</td>
          <td>{{ inventory.itm_name }}</td>
          <td>{{ inventory.uom_name }}</td>
          <td>{{ inventory.qty }}</td>
          <td>{{ inventory.unit_price }}</td>
          <td>
            <button
              class="btn btn-info world-icon"
              (click)="openPopUpView(inventory)"
            >
              View <span class="glyphicon glyphicon-info-sign"></span>
            </button>
            <button
              class="btn btn-success world-icon"
              (click)="openPopUpEdit(inventory)"
            >
              Edit <span class="glyphicon glyphicon-pencil"></span>
            </button>
            <button
              class="btn btn-danger world-icon"
              (click)="delete(inventory.inventory_id)"
            >
              Delete <span class="glyphicon glyphicon-remove"></span>
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="list-bottom">
    <div class="pull-right">
      <wms-pagination
        [perPage]="perPage"
        (pageChange)="pageChange($event)"
        [pagingData]="pagination"
      >
      </wms-pagination>
    </div>
  </div>
</div>
